Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#697 closed defect (fixed)

Suspicious comments in helas403/flashentry/flashentry.S

Reported by: Ralf Corsepius Owned by: thomas.doerfler
Priority: normal Milestone: 2
Component: bsps Version: unknown
Severity: major Keywords:
Cc: bugs@…, ralf.corsepius@… Blocked By:
Blocking:

Description

helas403/flashentry/flashentry.S contains some suspicious comments, I am not sure about if they are bugs or intentional:

../../../../../../../../../rtems.work/c/src/lib/libbsp/powerpc/helas403/flashentry/flashentry.S:195:33: warning: "/*" within comment
../../../../../../../../../rtems.work/c/src/lib/libbsp/powerpc/helas403/flashentry/flashentry.S:267:33: warning: "/*" within comment
../../../../../../../../../rtems.work/c/src/lib/libbsp/powerpc/helas403/flashentry/flashentry.S:337:33: warning: "/*" within comment

At all these spots gcc complains about are using contructs like this:

xxxx /* comment1 +/
yyyy /* comment2 */

Note the "+/" (plus slash) at the end of comment1.

Release:
unknown

Attachments (1)

helase403_flashentry.patch (1.3 KB) - added by Ralf Corsepius on 12/03/06 at 13:31:12.
helase403_flashentry.patch

Download all attachments as: .zip

Change History (3)

comment:1 Changed on 10/20/04 at 10:35:43 by thomas.doerfler

Owner: changed from joel to thomas.doerfler
Status: assignedwaiting

comment:2 Changed on 11/02/04 at 01:44:02 by Ralf Corsepius

Status: waitingclosed

State-Changed-From-To: feedback->closed
State-Changed-Why: Patch applied to 4.6-branch and trunk

Changed on 12/03/06 at 13:31:12 by Ralf Corsepius

Attachment: helase403_flashentry.patch added

helase403_flashentry.patch

Note: See TracTickets for help on using tickets.